Page MenuHomeMiraheze

Approved user extension. WAS: Confirm Account Extension
Closed, DeclinedPublic

Description

Hi,
here's the admin of the new wiki for the Internet Governance Forum Germany. Due to past experiences, we would like to have a confirm account extension. Is that possible? I understand this is something the platform adapts and not a feature that I should be adding by myself, right?
Many thanks in advance and cheers from Berlin,
Lorena

Related Objects

Event Timeline

NDKilla closed this task as Declined.Mar 5 2019, 21:45
NDKilla claimed this task.

See also T2087

This extension, although probably technically installable, is pointless on Miraheze, because of our Single Unified Login.

Even with this extension added to your wiki, someone could just create an account on literally any of the other thousands of Miraheze wikis, and then be able to login to your wiki.

If you have issues with spam or similar issues, I recommend you consider making your wiki only editable by approved users or look into Abuse Filters.

NDKilla moved this task from Backlog to Other on the Extensions board.

Hey NDKilla,
yes, I guess approved users sounds to have the functions that I am seeking for: approving new accounts before they start editing the wiki....
Thanks for pointing at this!
How do I get to that extension (approved users)?
Cheers
L

Void added a comment.Mar 5 2019, 23:31

As far as I know, there's no easy extension you can install to get this done. Instead you need to setup editing restrictions using our existing tools.

One way to do it would be use Special:ManageWikiPermissions to remove the edit permission from the "*" and "user" groups, and assign the right to some sort of "editor" group. Then, you use Special:UserRights to add this group to users who are permitted to edit. The one downside being that users must request the ability to edit through another venue.

Two, you could use Special:ManageWikiNamespaces to setup an editing restriction on content namespaces. Then, assign the required edit right to a usergroup which could be added to users as before. This time, however, you can have a page in a namespace that users can edit so that they can request the ability to edit the wiki as a whole.

Three, you could use Special:AbuseFilter to create a filter that blocks edits to all pages (or all pages except a request page), and whitelisting individual users/use groups.

If you need any help with setting one of these up, please let me know.

Hey Void,
how about the "approved users" extension @NDKilla was mentioning? All other alternatives seem like impossible to do. I used to have a media wiki in a different platform and we were able to approve users before they could edit. We had to do this cos we got hacked and bombarded by spam bots.
Thanks in advance and regards,
Lorena

Internet_Governance_Forum_Germany renamed this task from Confirm Account Extension to Approved user extension. WAS: Confirm Account Extension.Mar 6 2019, 09:19
Internet_Governance_Forum_Germany reopened this task as Open.
Void added a comment.Mar 6 2019, 14:17

In that case, I'd suggest looking at Moderation. It requires that every edit be approved by an administrator before it goes live. It's not exactly what you're looking for, but unless I'm missing something painfully obvious, there doesn't seem to be an extension (that we support) to approve users before they can edit.

NDKilla added a comment.Mar 8 2019, 03:21

Hey Void,
how about the "approved users" extension @NDKilla was mentioning? All other alternatives seem like impossible to do. I used to have a media wiki in a different platform and we were able to approve users before they could edit. We had to do this cos we got hacked and bombarded by spam bots.
Thanks in advance and regards,
Lorena

I was not talking about an extension, I was talking about user groups, as @Void mentioned.

Abuse filters are not terribly difficult, and we already have some that work globally on every wiki.

Have you actually been experiencing spam on a Miraheze wiki because we have teams and options in place to try to combat spam globally.

Otherwise, you're going to have to manually add users to a group that's allowed to edit, or do something like Moderation instead (which is even more overkill because you have to approve every edit instead of every person).

NDKilla removed NDKilla as the assignee of this task.Mar 13 2019, 13:06
Paladox closed this task as Declined.Wed, Apr 10, 01:48
Paladox added a subscriber: Paladox.

Per discussion internally and also you can follow @NDKilla suggestion.